<div class="content">
	<mat-toolbar>
		<span>Coding Task - Table Filter</span>
		<span class="spacer"></span>
		<button
			mat-raised-button
			color="primary"
			(click)="logout()"
		>
			Logout
		</button>
	</mat-toolbar>
	<div class="search">
		<mat-form-field>
			<input
				matInput
				#filter
				type="text"
				placeholder="Filter"
			/>
		</mat-form-field>
	</div>

	<div class="content-wrapper">
		<div
			class="spinner-container"
			*ngIf="dataSource.loading$ | async"
		>
			<mat-spinner></mat-spinner>
		</div>

		<div class="mat-elevation-z8 table-wrapper">
			<table
				mat-table
				[dataSource]="dataSource"
			>
				<ng-container matColumnDef="id">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Id
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.id }}"
					>
						{{ element.id }}
					</td>
				</ng-container>

				<ng-container matColumnDef="gtin">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Gtin
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.gtin }}"
					>
						{{ element.gtin }}
					</td>
				</ng-container>

				<ng-container matColumnDef="product_name">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Name
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.product_name }}"
					>
						{{ element.product_name }}
					</td>
				</ng-container>

				<ng-container matColumnDef="product_desc">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Descr
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.product_desc }}"
					>
						{{ element.product_desc }}
					</td>
				</ng-container>

				<ng-container matColumnDef="price">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Price
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.price }}"
					>
						{{ element.price }}
					</td>
				</ng-container>

				<ng-container matColumnDef="currency">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Currency
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.currency }}"
					>
						{{ element.currency }}
					</td>
				</ng-container>

				<ng-container matColumnDef="category">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Category
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.category }}"
					>
						{{ element.category }}
					</td>
				</ng-container>

				<ng-container matColumnDef="gender">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Gender
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.gender }}"
					>
						{{ element.gender }}
					</td>
				</ng-container>

				<ng-container matColumnDef="quantity">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Qty
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.quantity }}"
					>
						{{ element.quantity }}
					</td>
				</ng-container>

				<ng-container matColumnDef="size">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Size
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.size }}"
					>
						{{ element.size }}
					</td>
				</ng-container>

				<ng-container matColumnDef="style">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Style
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.style }}"
					>
						{{ element.style }}
					</td>
				</ng-container>

				<ng-container matColumnDef="color">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Color
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.color }}"
					>
						{{ element.color }}
					</td>
				</ng-container>

				<ng-container matColumnDef="url">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						URL
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.url }}"
					>
						{{ element.url }}
					</td>
				</ng-container>

				<ng-container matColumnDef="image">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Image
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.image }}"
					>
						{{ element.image }}
					</td>
				</ng-container>

				<ng-container matColumnDef="image_additional">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Img Add
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.image_additional }}"
					>
						{{ element.image_additional }}
					</td>
				</ng-container>

				<ng-container matColumnDef="additional">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Additional
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.additional }}"
					>
						{{ element.additional }}
					</td>
				</ng-container>

				<ng-container matColumnDef="source_video">
					<th
						mat-header-cell
						*matHeaderCellDef
					>
						Video
					</th>
					<td
						mat-cell
						*matCellDef="let element"
						title="{{ element.source_video }}"
					>
						{{ element.source_video }}
					</td>
				</ng-container>

				<tr
					mat-header-row
					*matHeaderRowDef="displayedColumns"
				></tr>
				<tr
					mat-row
					*matRowDef="let row; columns: displayedColumns"
				></tr>
			</table>

			<mat-paginator
				[pageSize]="defaultSize"
				[pageSizeOptions]="[defaultSize, 20, 50]"
			>
			</mat-paginator>
		</div>
	</div>
</div>
